[ARVADOS-DEV] updated: a5c1b7e9798565f07e231c43b3453fe7b69c7368
git at public.curoverse.com
git at public.curoverse.com
Tue Jul 21 10:13:06 EDT 2015
Summary of changes:
jenkins/run-deploy.sh | 4 ++++
1 file changed, 4 insertions(+)
via a5c1b7e9798565f07e231c43b3453fe7b69c7368 (commit)
from d30c7f8b3210ae1e825033e852c369d16b7e48f1 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit a5c1b7e9798565f07e231c43b3453fe7b69c7368
Author: Nico Cesar <nico at curoverse.com>
Date: Tue Jul 21 10:10:24 2015 -0400
added exit if git pull fails
no issue #
diff --git a/jenkins/run-deploy.sh b/jenkins/run-deploy.sh
index 398a050..1d23b4e 100755
--- a/jenkins/run-deploy.sh
+++ b/jenkins/run-deploy.sh
@@ -182,6 +182,10 @@ if [[ "$?" == "0" ]]; then
else
title "Installing latest arvados/jobs Docker image"
ssh -o "StrictHostKeyChecking no" shell.$IDENTIFIER "ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN /usr/local/rvm/bin/rvm-exec default arv keep docker --pull --project-uuid=$DOCKER_IMAGES_PROJECT arvados/jobs $GIT_COMMIT"
+ if [[ "$?" -ne 0 ]]; then
+ title "'git pull' failed exiting..."
+ exit 1
+ fi
fi
title "Gathering list of shell and Keep nodes"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list